# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::Dae::Effect Struct Reference

COLLADA effect. More...

`#include <DaeHelpers.hpp>`

Inheritance diagram for vl::Dae::Effect:

List of all members.

## Public Member Functions

| Effect ()

## Public Attributes

std::vector< ref< Dae::NewParam > > | mNewParams
ref< Dae::TechniqueCOMMON > | mDaeTechniqueCOMMON
bool | mDoubleSided

## Detailed Description

COLLADA effect.

Definition at line 383 of file DaeHelpers.hpp.

## Constructor & Destructor Documentation

vl::Dae::Effect::Effect | ( | ) | `[inline]`

Definition at line 385 of file DaeHelpers.hpp.

References mDoubleSided.

## Member Data Documentation

std::vector<ref<Dae::NewParam> > vl::Dae::Effect::mNewParams

Definition at line 390 of file DaeHelpers.hpp.

ref<Dae::TechniqueCOMMON> vl::Dae::Effect::mDaeTechniqueCOMMON

Definition at line 391 of file DaeHelpers.hpp.

bool vl::Dae::Effect::mDoubleSided

Definition at line 392 of file DaeHelpers.hpp.

Referenced by Effect().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/COLLADA/DaeHelpers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:45:00.
Permission is granted to use this page to write and publish articles regarding Visualization Library.